-- ─< full border (rounded) >───────────────────────────────────────────────────────────
require("full-border"):setup({
	-- Available values: ui.Border.PLAIN, ui.Border.ROUNDED
	type = ui.Border.ROUNDED,
})

-- ─< show groups and user in status bar >──────────────────────────────────────────────
Status:children_add(function()
	local h = cx.active.current.hovered
	if h == nil or ya.target_family() ~= "unix" then
		return ui.Line({})
	end

	return ui.Line({
		ui.Span(ya.user_name(h.cha.uid) or tostring(h.cha.uid)):fg("magenta"),
		ui.Span(":"),
		ui.Span(ya.group_name(h.cha.gid) or tostring(h.cha.gid)):fg("magenta"),
		ui.Span(" "),
	})
end, 500, Status.RIGHT)

-- ─< show "user@host" in header >──────────────────────────────────────────────────────
Header:children_add(function()
	if ya.target_family() ~= "unix" then
		return ui.Line({})
	end
	return ui.Span(ya.user_name() .. "@" .. ya.host_name() .. ":"):fg("blue")
end, 500, Header.LEFT)

-- ─< git settings >────────────────────────────────────────────────────────────────────
require("git"):setup()
-- ~/.config/yazi/init.lua
THEME.git = THEME.git or {}
THEME.git.modified = ui.Style():fg("blue")
THEME.git.deleted = ui.Style():fg("red"):bold()

-- ─< oh my posh bar >──────────────────────────────────────────────────────────────────
require("omp"):setup()

-- ─< smart enter select multiple >─────────────────────────────────────────────────────
require("smart-enter"):setup({
	open_multi = true,
})
